Skip to content

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

LiveOps is a toolkit for driving ongoing player engagement through promotions and personalized offers.

Use the API to manage the following features:

  • Promotions — create and manage coupons, promo codes, discounts, and bonus campaigns.
  • Personalization — specify the conditions for displaying the item catalog and applying promotions only for certain authorized users.
  • Promotion limits — set a limit on how many times a promotion can be used by a user and configure scheduled resets for these limits.
  • Reward chains & Value points — configure reward progressions tied to value point accumulation.
  • Daily chains — set up recurring daily rewards to motivate regular logins.
  • Offer chains — build sequential purchase offers with per-step pricing and free reward options.
  • Upsell — a sales method in which the user is offered to buy an item with additional value.

API calls

The API is divided into the following groups:

  • Admin — calls for creating, updating, activating, and deleting campaigns and chain configurations. Authenticated via basic access authentication with your merchant or project credentials.
  • Client — calls for retrieving available promotions, getting active chains, redeeming codes, and claiming rewards on behalf of authenticated end users. Authenticated via user JWT.
Download OpenAPI description
Languages
Servers
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/api/liveops/
Operations

Coupons

This API allows to you to manage coupons.

Operations

Promo codes

This API allows to manage promo codes.

Operations

Generate codes for promo code promotionServer-sideAdmin

Request

Generates codes for a promo code promotion.

Security
basicAuth
Path
project_idintegerrequired

Project ID. You can find this parameter in your Publisher Account next to the name of the project.

Example: 44056
external_idintegerrequired

Promotion external ID. Unique promotion identifier within the project.

Example: coupon_44056_1
Bodyapplication/json
countinteger(Promotions_coupon-generate-count)[ 1 .. 100000 ]required
Example: 10
curl -i -X PUT \
  -u <username>:<password> \
  https://store.xsolla.com/api/v2/project/44056/admin/promocode/coupon_44056_1/code/generate \
  -H 'Content-Type: application/json' \
  -d '{
    "count": 10
  }'

Responses

Codes were successfully generated.

Bodyapplication/json
countinteger(Promotions_coupon-generate-count)[ 1 .. 100000 ]
Example: 10
Response
application/json
{ "count": 10 }

Get promo code limit for specified userServer-sideAdmin

Request

Gets the remaining number of times the specified user can use the promo code.

User limit API allows you to limit the number of times users can use a promo code. For configuring the user limit itself, go to the Admin section:

Security
basicAuth
Path
project_idintegerrequired

Project ID. You can find this parameter in your Publisher Account next to the name of the project.

Example: 44056
external_idintegerrequired

Promotion external ID. Unique promotion identifier within the project.

Example: coupon_44056_1
Query
user_external_idstringrequired

User external ID

Example: user_external_id=d342dad2-9d59-11e9-a384-42010aa8003f
curl -i -X GET \
  -u <username>:<password> \
  'https://store.xsolla.com/api/v2/project/44056/admin/user/limit/promocode/external_id/coupon_44056_1?user_external_id=d342dad2-9d59-11e9-a384-42010aa8003f'

Responses

Successfully received promo code limits for a user.

Bodyapplication/json
per_userobject
Response
application/json
{ "per_user": { "total": 10, "available": 9 } }

Get promo code limit for codesServer-sideAdmin

Request

Gets the remaining number of times codes can be used. For filtering the codes, use the codes query parameter.

For configuring the code limit itself, go to the Admin section:

Security
basicAuth
Path
project_idintegerrequired

Project ID. You can find this parameter in your Publisher Account next to the name of the project.

Example: 44056
external_idintegerrequired

Promotion external ID. Unique promotion identifier within the project.

Example: coupon_44056_1
Query
codes[]Array of strings

Unique case-sensitive codes. Contain only letters and numbers.

limitinteger>= 1

Limit for the number of elements on the page.

Example: limit=50
offsetinteger>= 0

Number of the element from which the list is generated (the count starts from 0).

Example: offset=0
curl -i -X GET \
  -u <username>:<password> \
  'https://store.xsolla.com/api/v2/project/44056/admin/code/limit/promocode/external_id/coupon_44056_1?codes%5B%5D=string&limit=50&offset=0'

Responses

Successfully received promo code limits for a code.

Bodyapplication/json
promotion_idinteger

Promotion ID. Unique promotion identifier within the project.

itemsArray of objects(Code-limit-promo-code)
total_items_countnumber

Total number of codes.

has_moreboolean

If another page with codes exists.

Response
application/json
{ "promotion_id": 1, "items": [ {}, {} ], "total_items_count": 2, "has_more": false }

Unique catalog offers

This API allows to you to manage unique catalog offers.

Operations

Discounts

This API allows to you to manage discount promotions.

Operations

Bonuses

This API allows to manage bonus promotions.

Operations

Personalized catalog

This API allows to specify rules for user attributes. If the user meets all conditions for a concrete rule, personalized items will be shown.

For personalized promotions see Promotions section.

To pass attributes before a purchase, you can use Xsolla Login API or pass them into user.attributes property while generating token using Pay Station API.

Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations